"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const Flex = _ref => {
  let {
    fill,
    inline,
    center,
    direction,
    justify,
    items,
    self,
    content,
    wrap,
    basis,
    grow,
    shrink,
    style,
    ...rest
  } = _ref;
  const justifyContent = (0, _react.useMemo)(() => {
    switch (justify) {
      case 'start':
        return 'flex-start';

      case 'end':
        return 'flex-end';

      case 'between':
        return 'space-between';

      case 'around':
        return 'space-around';

      case 'evenly':
        return 'space-evenly';

      default:
        return justify;
    }
  }, [justify]);
  const alignItems = (0, _react.useMemo)(() => {
    switch (items) {
      case 'start':
        return 'flex-start';

      case 'end':
        return 'flex-end';

      default:
        return items;
    }
  }, [items]);
  const alignSelf = (0, _react.useMemo)(() => {
    switch (self) {
      case 'start':
        return 'flex-start';

      case 'end':
        return 'flex-end';

      default:
        return self;
    }
  }, [self]);
  const alignContent = (0, _react.useMemo)(() => {
    switch (content) {
      case 'start':
        return 'flex-start';

      case 'end':
        return 'flex-end';

      case 'between':
        return 'space-between';

      case 'around':
        return 'space-around';

      default:
        return content;
    }
  }, [content]);
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, _extends({
    style: [{
      flex: typeof fill === 'boolean' ? fill ? 1 : undefined : fill,
      flexDirection: direction,
      justifyContent,
      alignItems,
      alignSelf,
      alignContent,
      flexWrap: typeof wrap === 'boolean' ? wrap ? 'wrap' : undefined : wrap,
      flexBasis: basis,
      flexGrow: grow,
      flexShrink: shrink
    }, inline && {
      flexDirection: 'row'
    }, center && {
      justifyContent: 'center',
      alignItems: 'center'
    }, style]
  }, rest));
};

var _default = Flex;
exports.default = _default;
//# sourceMappingURL=Flex.js.map