"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _Flex = _interopRequireDefault(require("./Flex"));

var _Divider = _interopRequireDefault(require("./Divider"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const Stack = _ref => {
  let {
    spacing = 0,
    divider = false,
    children,
    ...rest
  } = _ref;
  const dividerElement = (0, _react.useMemo)(() => typeof divider === 'boolean' ? divider ? /*#__PURE__*/_react.default.createElement(_Divider.default, null) : null : divider, [divider]);
  const separatorStyle = (0, _react.useMemo)(() => {
    var _rest$direction;

    if (!spacing) return undefined;
    const dir = rest.inline ? 'row' : (_rest$direction = rest.direction) !== null && _rest$direction !== void 0 ? _rest$direction : 'column';
    const spacingValue = spacing * 4;

    if (!!dividerElement) {
      return dir === 'row' || dir === 'row-reverse' ? {
        marginHorizontal: spacingValue
      } : {
        marginVertical: spacingValue
      };
    }

    return dir === 'row' || dir === 'row-reverse' ? {
      marginStart: spacingValue
    } : {
      marginTop: spacingValue
    };
  }, [dividerElement, spacing, rest.direction, rest.inline]);

  const validElements = _react.default.Children.toArray(children).filter(child => /*#__PURE__*/_react.default.isValidElement(child));

  const items = validElements.map((child, index) => {
    const key = typeof child.key !== 'undefined' ? child.key : index;
    const isLast = index === validElements.length - 1;
    return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, {
      key: key
    }, child, !isLast && /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: separatorStyle
    }, dividerElement));
  });

  if (!spacing && !divider) {
    return /*#__PURE__*/_react.default.createElement(_Flex.default, rest, children);
  }

  return /*#__PURE__*/_react.default.createElement(_Flex.default, rest, items);
};

var _default = Stack;
exports.default = _default;
//# sourceMappingURL=Stack.js.map