function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React, { useMemo } from 'react';
import { View } from 'react-native';

const Flex = _ref => {
  let {
    fill,
    inline,
    center,
    direction,
    justify,
    items,
    self,
    content,
    wrap,
    basis,
    grow,
    shrink,
    style,
    ...rest
  } = _ref;
  const justifyContent = useMemo(() => {
    switch (justify) {
      case 'start':
        return 'flex-start';

      case 'end':
        return 'flex-end';

      case 'between':
        return 'space-between';

      case 'around':
        return 'space-around';

      case 'evenly':
        return 'space-evenly';

      default:
        return justify;
    }
  }, [justify]);
  const alignItems = useMemo(() => {
    switch (items) {
      case 'start':
        return 'flex-start';

      case 'end':
        return 'flex-end';

      default:
        return items;
    }
  }, [items]);
  const alignSelf = useMemo(() => {
    switch (self) {
      case 'start':
        return 'flex-start';

      case 'end':
        return 'flex-end';

      default:
        return self;
    }
  }, [self]);
  const alignContent = useMemo(() => {
    switch (content) {
      case 'start':
        return 'flex-start';

      case 'end':
        return 'flex-end';

      case 'between':
        return 'space-between';

      case 'around':
        return 'space-around';

      default:
        return content;
    }
  }, [content]);
  return /*#__PURE__*/React.createElement(View, _extends({
    style: [{
      flex: typeof fill === 'boolean' ? fill ? 1 : undefined : fill,
      flexDirection: direction,
      justifyContent,
      alignItems,
      alignSelf,
      alignContent,
      flexWrap: typeof wrap === 'boolean' ? wrap ? 'wrap' : undefined : wrap,
      flexBasis: basis,
      flexGrow: grow,
      flexShrink: shrink
    }, inline && {
      flexDirection: 'row'
    }, center && {
      justifyContent: 'center',
      alignItems: 'center'
    }, style]
  }, rest));
};

export default Flex;
//# sourceMappingURL=Flex.js.map